relaxngcc.datatype.parser

## Interface NGCCEventReceiver

All Known Implementing Classes:
  NGCCHandler, NGCCInterleaveFilter, Start

    public interface NGCCEventReceiver

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Method Summary

Methods
`void` `enterAttribute(java.lang.String uri, java.lang.String localName, java.lang.String qname)`
`void` `enterElement(java.lang.String uri, java.lang.String localName, java.lang.String qname, org.xml.sax.Attributes atts)`
`void` `leaveAttribute(java.lang.String uri, java.lang.String localName, java.lang.String qname)`
`void` `leaveElement(java.lang.String uri, java.lang.String localName, java.lang.String qname)`
`void` `text(java.lang.String value)`

### Method Detail

#### enterElement

    void enterElement(java.lang.String uri,
                    java.lang.String localName,
                    java.lang.String qname,
                    org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### leaveElement

    void leaveElement(java.lang.String uri,
                    java.lang.String localName,
                    java.lang.String qname)
                      throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### text

    void text(java.lang.String value)
              throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### enterAttribute

    void enterAttribute(java.lang.String uri,
                      java.lang.String localName,
                      java.lang.String qname)
                        throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### leaveAttribute

    void leaveAttribute(java.lang.String uri,
                      java.lang.String localName,
                      java.lang.String qname)
                        throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`